Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGenericRenderWindowInteractor Class Reference

`#include <vtkGenericRenderWindowInteractor.h>`

Inheritance diagram for vtkGenericRenderWindowInteractor:

[legend]
Collaboration diagram for vtkGenericRenderWindowInteractor:

[legend]
List of all members.

## Detailed Description

platform-independent programmable render window interactor.

Date:
  2002/05/13 14:22:44

Revision:
  1.3

vtkGenericRenderWindowInteractor provides a way to translate native mouse and keyboard events into vtk Events. By calling the methods on this class, vtk events will be invoked. This will allow scripting languages to use vtkInteractorStyles and 3D widgets.

Events:
  vtkCommand::LeftButtonReleaseEvent vtkCommand::DestroyTimerEvent vtkCommand::ExitEvent vtkCommand::RightButtonPressEvent vtkCommand::CreateTimerEvent vtkCommand::MiddleButtonReleaseEvent vtkCommand::MouseMoveEvent vtkCommand::ExposeEvent vtkCommand::EnterEvent vtkCommand::TimerEvent vtkCommand::KeyPressEvent vtkCommand::RightButtonReleaseEvent vtkCommand::MiddleButtonPressEvent vtkCommand::ConfigureEvent vtkCommand::CharEvent vtkCommand::LeaveEvent vtkCommand::LeftButtonPressEvent vtkCommand::KeyReleaseEvent

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (90%)
  - Barre, Sebastien (9%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkGenericRenderWindowInteractor.h)`
  - .`cxx` (`/Rendering/vtkGenericRenderWindowInteractor.cxx)`

Definition at line 48 of file vtkGenericRenderWindowInteractor.h.

## Public Types
typedef vtkRenderWindowInteractor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | MouseMoveEvent ()
virtual void | RightButtonPressEvent ()
virtual void | RightButtonReleaseEvent ()
virtual void | LeftButtonPressEvent ()
virtual void | LeftButtonReleaseEvent ()
virtual void | MiddleButtonPressEvent ()
virtual void | MiddleButtonReleaseEvent ()
virtual void | ExposeEvent ()
virtual void | ConfigureEvent ()
virtual void | EnterEvent ()
virtual void | LeaveEvent ()
virtual void | TimerEvent ()
virtual void | KeyPressEvent ()
virtual void | KeyReleaseEvent ()
virtual void | CharEvent ()
virtual void | ExitEvent ()
virtual int | CreateTimer (int)
virtual int | DestroyTimer ()
## Static Public Methods
vtkGenericRenderWindowInteractor * | New ()
int | IsTypeOf (const char *type)
vtkGenericRenderWindowInteractor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGenericRenderWindowInteractor ()
| ~vtkGenericRenderWindowInteractor ()

## Member Typedef Documentation

typedef vtkRenderWindowInteractor vtkGenericRenderWindowInteractor::Superclass

| Reimplemented from vtkRenderWindowInteractor. Definition at line 52 of file vtkGenericRenderWindowInteractor.h.

## Constructor & Destructor Documentation

vtkGenericRenderWindowInteractor::vtkGenericRenderWindowInteractor | ( |  | ) | `[protected]`

vtkGenericRenderWindowInteractor::~vtkGenericRenderWindowInteractor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGenericRenderWindowInteractor* vtkGenericRenderWindowInteractor::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkRenderWindowInteractor.

virtual const char* vtkGenericRenderWindowInteractor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderWindowInteractor.

int vtkGenericRenderWindowInteractor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

virtual int vtkGenericRenderWindowInteractor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

vtkGenericRenderWindowInteractor* vtkGenericRenderWindowInteractor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderWindowInteractor.

void vtkGenericRenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkGenericRenderWindowInteractor::MouseMoveEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::RightButtonPressEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::RightButtonReleaseEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::LeftButtonPressEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::LeftButtonReleaseEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::MiddleButtonPressEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::MiddleButtonReleaseEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::ExposeEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::ConfigureEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::EnterEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::LeaveEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::TimerEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::KeyPressEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::KeyReleaseEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::CharEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual void vtkGenericRenderWindowInteractor::ExitEvent | ( |  | ) | `[virtual]`

| Fire various events, SetEventInformation should be called just prior to calling any of these methods. This methods will Invoke the corresponding vtk event.

virtual int vtkGenericRenderWindowInteractor::CreateTimer | ( | int |  | ) | `[virtual]`

| Allow users of the class to add callbacks to handle the creation and destruction of timers. CreateTimer should create a timer event of 10 milliseconds, and at the end of that time, it should call TimerEvent on this class. Reimplemented from vtkRenderWindowInteractor.

virtual int vtkGenericRenderWindowInteractor::DestroyTimer | ( |  | ) | `[virtual]`

| Allow users of the class to add callbacks to handle the creation and destruction of timers. CreateTimer should create a timer event of 10 milliseconds, and at the end of that time, it should call TimerEvent on this class. Reimplemented from vtkRenderWindowInteractor.

The documentation for this class was generated from the following file:

- Rendering/vtkGenericRenderWindowInteractor.h